import java.awt.*;
import javax.swing.*;

public class View extends JFrame {

 public View() { 
	
	this.setTitle("YetAnotherCalculator");
	this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

	JPanel contentAll = new JPanel();
	contentAll.setLayout(new BorderLayout());
	
	JButton start = new JButton("Start");
	JButton clear = new JButton("Clear");

	JPanel contentButtons = new JPanel();
	contentButtons.setLayout(new FlowLayout());
	contentButtons.add(start);
	contentButtons.add(clear);
	contentAll.add(contentButtons, BorderLayout.SOUTH);
	
	JTextField firstInput 	= new JTextField(5);
	JTextField secondInput 	= new JTextField(5);
	JTextField result     	= new JTextField(5);
	String[] methods 		= {"+", "-", "*", "/"};
	JComboBox  methodBox 	= new JComboBox(methods);
	
	JPanel contentInput = new JPanel(new FlowLayout());
	contentInput.add(firstInput);
	contentInput.add(methodBox);
	contentInput.add(secondInput);
	contentInput.add(new JLabel("="));
	contentInput.add(result);
	contentAll.add(contentInput, BorderLayout.CENTER);
	
	firstInput.setText("0");
	secondInput.setText("0");
	result.setText("-");
	result.setEditable(false);
	methodBox.setSelectedIndex(2);

	this.setContentPane(contentAll);
	this.pack(); 
 }
}
